print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceconsumables = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local consumablesHudFile = "Paletten/hud_fill_consumables.dds"
	local consumablesHudFileSmall = "Paletten/hud_fill_consumables_small.dds"
	
    local consumablesFilType = g_fillTypeManager:addFillType("CONSUMABLES", g_i18n:getText("consumables"), true, priceconsumables * 0.5, 0.00045, math.rad(10), consumablesHudFile, consumablesHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasconsumables=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasconsumables=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CONSUMABLES" then
		hasconsumables=true
	end;
		
end;

		if hasmaize and not hasconsumables then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CONSUMABLES")
		local price = g_fillTypeManager:getFillTypeByName("CONSUMABLES").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CONSUMABLES")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)